bwsAllPairsTest {PMCMRplus} | R Documentation

## BWS All-Pairs Comparison Test

### Description

Performs Baumgartner-Weiß-Schindler all-pairs comparison test.

### Usage

    bwsAllPairsTest(x, ...)

    ## Default S3 method:
    bwsAllPairsTest(
      x,
      g,
      method = c("BWS", "Murakami"),
      p.adjust.method = p.adjust.methods,
      ...
    )

    ## S3 method for class 'formula'
    bwsAllPairsTest(
      formula,
      data,
      subset,
      na.action,
      method = c("BWS", "Murakami"),
      p.adjust.method = p.adjust.methods,
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`method` | a character string specifying the test statistic to use. Defaults to `BWS`.
`p.adjust.method` | method for adjusting p values (see `p.adjust`).
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For all-pairs comparisons in an one-factorial layout with non-normally distributed residuals Baumgartner-Weiß-Schindler all-pairs comparison test can be used. A total of m = k(k-1)/2 hypotheses can be tested. The null hypothesis H_{ij}: F_i(x) = F_j(x) is tested in the two-tailed test against the alternative A_{ij}: F_i(x) \ne F_j(x), ~~ i \ne j.

This function is a wrapper function that sequentially calls `bws_test` for each pair. The default test method (`"BWS"`) is the original Baumgartner-Weiß-Schindler test statistic B. For `method == "Murakami"` it is the modified BWS statistic denoted B*. The calculated p-values for `Pr(>|B|)` or `Pr(>|B*|)` can be adjusted to account for Type I error inflation using any method as implemented in `p.adjust`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Baumgartner, W., Weiss, P., Schindler, H. (1998) A nonparametric test for the general two-sample problem, Biometrics 54, 1129–1135.

Murakami, H. (2006) K-sample rank test based on modified Baumgartner statistic and its power comparison, J. Jpn. Comp. Statist. 19, 1–13.

### See Also

`bws_test`.

### Examples

    out <- bwsAllPairsTest(count ~ spray, InsectSprays, p.adjust="holm")
    summary(out)
    summaryGroup(out)

[Package PMCMRplus version 1.6.1 Index]